Subject: Re: [PATCH net-next 4/4] net/mlx5: Add sensor name to temperature event message

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Feb 2025 07:28:29 -0800

On Wed, 19 Feb 2025 15:00:57 +0200 Tariq Toukan wrote:
> >> If you have to respin for some other reason, please consider limiting lines
> >> to 80 columns wide or less here and elsewhere in this patch where it
> >> doesn't reduce readability (subjective I know).  
> > 
> > +1, please try to catch such situations going forward
> 
> This was not missed.
> This is not a new thing...
> We've been enforcing a max line length of 100 chars in mlx5 driver for 
> the past few years.
> I don't have the full image now, but I'm convinced that this dates back 
> to an agreement between the mlx5 and netdev maintainers at that time.
> 
> 80 chars could be too restrictive, especially with today's large 
> monitors, while 100-chars is still highly readable.
> This is subjective of course...
> 
> If you don't have a strong preference, we'll keep the current 100 chars 
> limit. Otherwise, just let me know and we'll start enforcing the 
> 80-chars limit for future patches.

Right, I think mlx5 is the only exception to the 80 column guidance.
I don't think it's resulting in more readable code, so yes, my
preference is to end this experiment.